import { fromJS } from 'immutable';
import * as types from './constants';

const initialState = fromJS({});

function appReducer(state = initialState, action) {
  switch (action.type) {
    case types.GET_SIDEBAR_REQUEST:
      return state;
    case types.GET_SIDEBAR_SUCCESS:
      return state;
    case types.GET_SIDEBAR_FAILURE:
      return state;
    default:
      return state;
  }
}

export default appReducer;
